Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartcard::CardReaderManager::CardReaderSettingsChangedEvent Struct Reference
Inheritance diagram for smartcard::CardReaderManager::CardReaderSettingsChangedEvent:

## Public Attributes
CardReader | cardReader
| affected card reader
CardReaderSettings | oldSettings
| Settings before change.
CardReaderSettings | newSettings
| Settings after change.
string | position
| Position of the card reader (see CardReader::MetaData)
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Definition at line 52 of file CardReaderManager.idl.

## Member Data Documentation

## ◆ cardReader

CardReader smartcard::CardReaderManager::CardReaderSettingsChangedEvent::cardReader

affected card reader

Definition at line 53 of file CardReaderManager.idl.

## ◆ newSettings

CardReaderSettings smartcard::CardReaderManager::CardReaderSettingsChangedEvent::newSettings

Settings after change.

Definition at line 55 of file CardReaderManager.idl.

## ◆ oldSettings

CardReaderSettings smartcard::CardReaderManager::CardReaderSettingsChangedEvent::oldSettings

Settings before change.

Definition at line 54 of file CardReaderManager.idl.

## ◆ position

string smartcard::CardReaderManager::CardReaderSettingsChangedEvent::position

Position of the card reader (see CardReader::MetaData)

Definition at line 56 of file CardReaderManager.idl.

The documentation for this struct was generated from the following file:

- CardReaderManager.idl